# Class MetalComboBoxEditor.UIResource

java.lang.Object
javax.swing.plaf.basic.BasicComboBoxEditor
javax.swing.plaf.metal.MetalComboBoxEditor
javax.swing.plaf.metal.MetalComboBoxEditor.UIResource

All Implemented Interfaces:
  `FocusListener, EventListener, ComboBoxEditor, UIResource`

Enclosing class:
  `MetalComboBoxEditor`

public static class MetalComboBoxEditor.UIResource extends MetalComboBoxEditor implements UIResource
A subclass of BasicComboBoxEditor that implements UIResource. BasicComboBoxEditor doesn't implement UIResource directly so that applications can safely override the cellRenderer property with BasicListCellRenderer subclasses.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class MetalComboBoxEditor

  `MetalComboBoxEditor.UIResource`

- ## Field Summary

  ### Fields declared in class MetalComboBoxEditor

  `editorBorderInsets`

  ### Fields declared in class BasicComboBoxEditor

  `editor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIResource()`
  Constructs a `UIResource`.

- ## Method Summary

  ### Methods declared in class BasicComboBoxEditor

  `addActionListener, createEditorComponent, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UIResource

    public UIResource()
    Constructs a `UIResource`.